"{ Package: 'stx:goodies/monticello' }"

"{ NameSpace: Smalltalk }"

MCHttpRepository subclass:#MCGemstoneRepository
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SCM-Monticello-RemoteRepositories'
!

!MCGemstoneRepository class methodsFor:'documentation'!

documentation
"
    An explicit subclass of MCHttpRepository to provide a template for gemstone repositories.
"
! !

!MCGemstoneRepository class methodsFor:'accessing'!

baseURL
	^ 'http://ss3.gemtalksystems.com/ss/'
!

description
	^ 'ss3.gemstone.com'
! !

!MCGemstoneRepository class methodsFor:'testing'!

isResponsibleFor: aUrl
	^ (aUrl includesSubstring: 'ss3.gemstone.com/') or: [  aUrl includesSubstring: 'ss3.gemtalksystems.com/' ]
! !

!MCGemstoneRepository methodsFor:'*Komitter-Models'!

koRemote

	^ KomitGemstoneRemote new
		remote: self;
		yourself
! !

!MCGemstoneRepository methodsFor:'interface'!

includesVersionNamed: aString
	"directly do a filename check since squeaksource only stores mcz"
	^ self includesFileNamed: aString, '.mcz'
! !

!MCGemstoneRepository class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

